
/* test traits */

#include <stdio.h>
#include <assert.h>
#include <string.h>

#include "damsel.h"

int main() {

  damsel_trait_bundle tb;
  damsel_err_t err = DMSLtrait_create(&tb);

  printf("tb = %p\n", tb);

  DMSLtrait_put(tb, "one", "1111");
  DMSLtrait_put(tb, "two", "222");

  char *v, *v2;
  err = DMSLtrait_get(tb, "one", &v);
  err = DMSLtrait_get(tb, "two", &v2);

  assert(strcmp(v, "1111") == 0 );
  assert(strcmp(v2, "222") == 0 );

  DMSLtrait_release(tb);
  return 0;
}
