
void init_ndc(void);

#ifdef DAMSEL_VERBOSE_SPEW
void *push_printf_ndc(const char *fmt, ...)
#ifdef __GNUC__
__attribute__ ((format (printf,1,2)))
#endif
;

void *push_ndc(char *);
void pop_ndc(void);
void pop_ndc_context(void *);
void printf_ndc(const char *fmt, ...)
#ifdef __GNUC__
__attribute__ ((format (printf,1,2)))
#endif
;
#else
#define printf_ndc(...) ;
#define push_ndc(...) NULL
#define push_printf_ndc(...) NULL
#define pop_ndc() ;
#define pop_ndc_context(...) ;
#endif

void dump_ndc(void);

void finalize_types(void);
void finalize_ndc(void);
